org.apache.solr.search

## Class SolrReturnFields

- java.lang.Object
- - org.apache.solr.search.ReturnFields
  - - org.apache.solr.search.SolrReturnFields

-     public class SolrReturnFields
      extends ReturnFields

  The default implementation of return fields parsing for Solr.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_wantsAllFields`
    `protected boolean` | `_wantsScore`
    `protected Map<String,String>` | `renameFields`
    `static String` | `SCORE`
    `protected DocTransformer` | `transformer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrReturnFields()`
    `SolrReturnFields(SolrQueryRequest req)`
    `SolrReturnFields(String[] fl, SolrQueryRequest req)`
    `SolrReturnFields(String fl, SolrQueryRequest req)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getFieldName(StrParser sp)`
    `Map<String,String>` | `getFieldRenames()` Get the fields which have been renamed
    `Set<String>` | `getLuceneFieldNames()` Set of field names with their exact names from the lucene index.
    `Set<String>` | `getLuceneFieldNames(boolean ignoreWantsAll)` Set of field names with their exact names from the lucene index.
    `Set<String>` | `getRequestedFieldNames()` The requested field names (includes pseudo fields)
    `DocTransformer` | `getTransformer()` Returns the DocTransformer used to modify documents, or `null`
    `boolean` | `hasPatternMatching()` Returns `true` if the fieldnames should be picked with a pattern
    `String` | `toString()`
    `boolean` | `wantsAllFields()` Returns `true` if all fields should be returned.
    `boolean` | `wantsField(String name)` Returns `true` if the specified field should be returned.
    `boolean` | `wantsScore()` Returns `true` if the score should be returned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCORE

          public static final String SCORE

      See Also:
        Constant Field Values

    - #### transformer

          protected DocTransformer transformer

    - #### _wantsScore

          protected boolean _wantsScore

    - #### _wantsAllFields

          protected boolean _wantsAllFields

    - #### renameFields

          protected Map<String,String> renameFields

  - ### Constructor Detail

    - #### SolrReturnFields

          public SolrReturnFields()

    - #### SolrReturnFields

          public SolrReturnFields(SolrQueryRequest req)

    - #### SolrReturnFields

          public SolrReturnFields(String fl,
                                  SolrQueryRequest req)

    - #### SolrReturnFields

          public SolrReturnFields(String[] fl,
                                  SolrQueryRequest req)

  - ### Method Detail

    - #### getFieldRenames

          public Map<String,String> getFieldRenames()

      Description copied from class: `ReturnFields`
      Get the fields which have been renamed
      Specified by:
        `getFieldRenames` in class `ReturnFields`
      Returns:
        a mapping of renamed fields

    - #### getFieldName

          public static String getFieldName(StrParser sp)

    - #### getLuceneFieldNames

          public Set<String> getLuceneFieldNames()

      Description copied from class: `ReturnFields`
      Set of field names with their exact names from the lucene index.

      Class such as ResponseWriters pass this to `SolrIndexSearcher.doc(int, Set)`.

      Specified by:
        `getLuceneFieldNames` in class `ReturnFields`
      Returns:
        Set of field names or `null` (all fields).

    - #### getLuceneFieldNames

          public Set<String> getLuceneFieldNames(boolean ignoreWantsAll)

      Description copied from class: `ReturnFields`
      Set of field names with their exact names from the lucene index.
      Specified by:
        `getLuceneFieldNames` in class `ReturnFields`
      Parameters:
        `ignoreWantsAll` - If true, it returns any additional specified field names, in spite of also wanting all fields. Example: when fl=*,field1, returns ["field1"]. If false, the method returns null when all fields are wanted. Example: when fl=*,field1, returns null. Note that this method returns null regardless of ignoreWantsAll if all fields are requested and no explicit field names are specified.

    - #### getRequestedFieldNames

          public Set<String> getRequestedFieldNames()

      Description copied from class: `ReturnFields`
      The requested field names (includes pseudo fields)

      Specified by:
        `getRequestedFieldNames` in class `ReturnFields`
      Returns:
        Set of field names or `null` (all fields).

    - #### hasPatternMatching

          public boolean hasPatternMatching()

      Description copied from class: `ReturnFields`
      Returns `true` if the fieldnames should be picked with a pattern
      Specified by:
        `hasPatternMatching` in class `ReturnFields`

    - #### wantsField

          public boolean wantsField(String name)

      Description copied from class: `ReturnFields`
      Returns `true` if the specified field should be returned.
      Specified by:
        `wantsField` in class `ReturnFields`

    - #### wantsAllFields

          public boolean wantsAllFields()

      Description copied from class: `ReturnFields`
      Returns `true` if all fields should be returned.
      Specified by:
        `wantsAllFields` in class `ReturnFields`

    - #### wantsScore

          public boolean wantsScore()

      Description copied from class: `ReturnFields`
      Returns `true` if the score should be returned.
      Specified by:
        `wantsScore` in class `ReturnFields`

    - #### getTransformer

          public DocTransformer getTransformer()

      Description copied from class: `ReturnFields`
      Returns the DocTransformer used to modify documents, or `null`
      Specified by:
        `getTransformer` in class `ReturnFields`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.